package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author hgw
 * Created by 2021-12-06
 */
public class PlatformProductDto implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 服务名称
     */
    @NotBlank(message = "产品名称不能为空!")
    @ApiModelProperty(value="服务名称")
    private String name;

    /**
     * 菜单id
     */
    @ApiModelProperty(value="菜单id")
    private String menuId;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String remark;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
